Bug 19805 - Add DataTables to Koha to MARC mapping page
Summary: Add DataTables to Koha to MARC mapping page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL: /cgi-bin/koha/admin/koha2marclinks.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-13 15:45 UTC by Owen Leonard
Modified: 2017-12-20 12:08 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19805: Add DataTables to Koha to MARC mapping page (3.40 KB, patch)
2017-12-13 15:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19805: Add DataTables to Koha to MARC mapping page (3.46 KB, patch)
2017-12-14 09:37 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19805: Add DataTables to Koha to MARC mapping page (3.55 KB, patch)
2017-12-15 10:48 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-12-13 15:45:03 UTC
I think it would be useful to have sorting and filtering on the Koha to MARC mapping table.
Comment 1 Owen Leonard 2017-12-13 15:52:21 UTC
Created attachment 69779 [details] [review]
Bug 19805: Add DataTables to Koha to MARC mapping page

This patch adds sorting and filtering to the Koha to MARC mapping table
using DataTables.

Also changed: Font awesome icons on "Add" and "Remove" buttons; Minor
markup correction to breadcrumbs.

To test, apply the patch and go to Administration -> Koha to MARC
mapping.

- Table should be sorted by default on Koha field.
- Sorting and filtering should work correctly.
Comment 2 Simon Pouchol 2017-12-14 09:37:55 UTC
Created attachment 69793 [details] [review]
Bug 19805: Add DataTables to Koha to MARC mapping page

This patch adds sorting and filtering to the Koha to MARC mapping table
using DataTables.

Also changed: Font awesome icons on "Add" and "Remove" buttons; Minor
markup correction to breadcrumbs.

To test, apply the patch and go to Administration -> Koha to MARC
mapping.

- Table should be sorted by default on Koha field.
- Sorting and filtering should work correctly.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 3 Marcel de Rooy 2017-12-15 10:48:49 UTC
Created attachment 69819 [details] [review]
Bug 19805: Add DataTables to Koha to MARC mapping page

This patch adds sorting and filtering to the Koha to MARC mapping table
using DataTables.

Also changed: Font awesome icons on "Add" and "Remove" buttons; Minor
markup correction to breadcrumbs.

To test, apply the patch and go to Administration -> Koha to MARC
mapping.

- Table should be sorted by default on Koha field.
- Sorting and filtering should work correctly.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2017-12-18 15:19:26 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2017-12-20 12:08:00 UTC
Awesome work all! Enhancement, not backporting for 17.11